#NoTrayIcon
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_UseUpx=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

If $CmdLine[0] = 0 Then
	MsgBox(0,"Error!","Inputfile Parameter missing!")
	Exit
EndIf

$InputFile = $CmdLine[1]
$OutputFile = "Cables.xml"


$FileIn = FileOpen($InputFile)
$OutputFile = FileOpen($OutputFile,128+8+2)
$FileLineNumber = 7

FileWriteLine($OutputFile,"<?xml version=""1.0"" encoding=""iso-8859-1""?>")
FileWriteLine($OutputFile,"<cables>")
FileWriteLine($OutputFile," <cable name=""Germany: MDCC (German)"" satfeed=""true"" flags=""0"">")


While 1
    Local $line = FileReadLine($InputFile,$FileLineNumber)
    If @error = -1 Then ExitLoop
	$FileLineNumber = $FileLineNumber + 1
	If StringInStr($line,"=") <>0 Then
		Local $temp = StringSplit($line,"=")
		$temp = StringSplit($temp[2],",")
		Local $NewLine = "  <transponder frequency=""" & $temp[1] & "000"" symbol_rate=""" & $temp[3] & "000"" fec_inner=""0"" modulation=""" & $temp[2] & """/>"
		;MsgBox(0,"NewLine",$NewLine)
		FileWriteLine($OutputFile,$NewLine)
	EndIf
WEnd

FileWriteLine($OutputFile," </cable>")
FileWriteLine($OutputFile,"</cables>")
FileClose($OutputFile)